"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliFactory = void 0;
const openapi_diff_1 = require("./openapi-diff");
const content_loader_1 = require("./openapi-diff/content-loader");
const file_system_1 = require("./openapi-diff/resource-loader/file-system");
const http_client_1 = require("./openapi-diff/resource-loader/http-client");
const result_reporter_1 = require("./openapi-diff/result-reporter");
const console_logger_1 = require("./openapi-diff/result-reporter/console-logger");
class CliFactory {
    static createOpenApiDiff() {
        const httpClient = new http_client_1.HttpClient();
        const fileSystem = new file_system_1.FileSystem();
        const contentLoader = new content_loader_1.ContentLoader(httpClient, fileSystem);
        const consoleLogger = new console_logger_1.ConsoleLogger();
        const resultReporter = new result_reporter_1.ResultReporter(consoleLogger);
        return new openapi_diff_1.OpenApiDiff(contentLoader, resultReporter);
    }
}
exports.CliFactory = CliFactory;
